summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Weber <xmw@gentoo.org>2015-10-25 22:59:04 +0100
committerMichael Weber <xmw@gentoo.org>2015-10-25 23:08:53 +0100
commit67fbf73f3f4cc4ec3cdeb0c302ee626648eb8533 (patch)
tree76e3d67d2d2c7e4df9ec6ad0df2334ab1d806f32 /app-backup
parentnet-proxy/haproxy: Version bump to 1.6.1 (diff)
downloadgentoo-67fbf73f3f4cc4ec3cdeb0c302ee626648eb8533.tar.gz
gentoo-67fbf73f3f4cc4ec3cdeb0c302ee626648eb8533.tar.bz2
gentoo-67fbf73f3f4cc4ec3cdeb0c302ee626648eb8533.zip
app-backup/tsm: version bump to last x86 release.
Package-Manager: portage-2.2.21
Diffstat (limited to 'app-backup')
-rw-r--r--app-backup/tsm/Manifest14
-rw-r--r--app-backup/tsm/tsm-6.2.5.4.ebuild231
2 files changed, 245 insertions, 0 deletions
diff --git a/app-backup/tsm/Manifest b/app-backup/tsm/Manifest
index 7bb8e27e1ec..e0af9e2405c 100644
--- a/app-backup/tsm/Manifest
+++ b/app-backup/tsm/Manifest
@@ -12,6 +12,20 @@ DIST 6.2.2-TIVsm-msg.RU_RU.i386.rpm 4222991 SHA256 20a28cdb598b273569071f997ddad
DIST 6.2.2-TIVsm-msg.ZH_CN.i386.rpm 3030842 SHA256 6bf834e71053ad1264ce7fb631679664fe1ffd94690ff1d8f62da056c6b5cd15 SHA512 3331d0ea08451415641b34566117c4c91245796e58a3bc85270f952bed8d866973e77158e34f1f8859fe4f8d62010a1370de3fa6032660015a2ad726c66f9723 WHIRLPOOL 26fd7ab9af26a28f603d34a4ea74dc4116ae4b2b98abef8d4d8ed3eba03ee8383c72985b41d4dc1618410da9070189ef05766394afe66bec12e8d684481b0518
DIST 6.2.2-TIVsm-msg.ZH_TW.i386.rpm 3151673 SHA256 faa2fc951cbf1ae28b98b286030ea54b48fd4a4252aeeb035ecee63a2403b3e9 SHA512 20511841192c624e5a8a608f632baa27f8d331e69e178f33d533440b6bc646d08737210dff6a7c3458bed7fe730903fe7cbd1cdc6ada757cb2b680d127959edd WHIRLPOOL b6139b5e4887b74fd43dc4b33388d9763d61cc53c1219478a9c593ff4b697fed6695e9d53bad1836ba82d89936531b6782d151019d969a26d3ff8a39c2414ec1
DIST 6.2.2.0-TIV-TSMBAC-LinuxX86.tar 102215680 SHA256 6c1883a34c38ade6961ffd6c6837fd82051edfa97bce19b7ad76ced4c2683b7c SHA512 be981b57e859943650d09bec2176ccac89b88861ba8d97182495b0d86ce50f491a893c6fc930b6de70c4594b8a3d78a0a2f05ef11d6cda137f76ddae9d1524fb WHIRLPOOL 94921b4dca1a58458bc882ff69e9a2055fe22d32208c2bb9aea9dbaddc3396890c7a4002b569a80d905b5b771b0255d59ab080129e304c4d135c1e61d8fb8e52
+DIST 6.2.5-TIVsm-msg.CS_CZ.i386.rpm 4800856 SHA256 07f47b43aeb218fbb79a59d4fc96403c6e8e9f28bdc6d73bb8b2be9dc13e8520 SHA512 32e5b3f433012427c67ebbd416f4dbf87f603da4245d04a75da65438438a27c1b75e95440019313e6100d55fc50bb425ccade768fd578fcf13ccdf4b0d0b1c11 WHIRLPOOL 09fc5aacaa8462a2fce8f06f944c8bf02646aa0538a537ebad1baf867c81993895e37ed92bedc6b322f397a68ec4450e26f1a1894aef06694c97bfd9e269bbaa
+DIST 6.2.5-TIVsm-msg.DE_DE.i386.rpm 3456289 SHA256 db4e5c71f092569264b5a546d7fb957b61dbce83cfd779fa2c874c77a4428aa2 SHA512 a41d2345a0dd19a13124454df3fd19c5e7c7b707b2547c5f4151ee00fe2a9d808c9b47c817a89fe41ced0fdbc4b3f69f98093c03db895f4e56b2c6bfa61f5d5f WHIRLPOOL 66b4a2304db83a8b3f401e889e3df581ee41e58cf7b5ee4d70cebdb76a6f79f92b88bdf7fddb76552bfd2de8872542325c1c4553eb439c47f5d7407b487128b2
+DIST 6.2.5-TIVsm-msg.ES_ES.i386.rpm 3509147 SHA256 d7dbac54b8a59a70ab31ee5e537213d36dba81dea73378bea2c4b80aadc346a1 SHA512 914c68bb783eeba2892ea07a436e06de596da153159e6a7f779412db574e4b4c974ea77220605cf43743451d5c56769f6eb7252b6caab698a4e1a85b0ca9b503 WHIRLPOOL ee880d0070de517718a503ebb4d3c2627df28b43f93948bfa1d6306040930e64b5e50196f1c6dc9df1c0d109a3de13ee6ebd4e9f863341e344ed63ca1bc56614
+DIST 6.2.5-TIVsm-msg.FR_FR.i386.rpm 3719029 SHA256 32fc549b190218bdf3b6a2834560b2f8a567a0539280c13215b8b761144070b1 SHA512 fe932634b1a816fafe36b61fae55638ef9d6835c4d702c237e4c0f8ee393c7c3cc8559b6feba7ab53ae9f589de6ac23f764594b4731f669065788c84c88e66d2 WHIRLPOOL 338bce5fa65fa36455a0d456d8bb0f2e92f99bacacabde7a896dc592ebb12ba27897b39975119341ce324d9a863e2c88966770d896f4ffd4ca109ce7871f4482
+DIST 6.2.5-TIVsm-msg.HU_HU.i386.rpm 3414093 SHA256 c32c86d8c16790ab8cc71a7870919e5f750aa5a220b0dc7cf178a976d4be793e SHA512 3f7ed14cccb73e3b018e67783abec9d29d3da9745ea3db50b4eec0cb5e8e49f56c9fe45932f812ca8b8fed6b61f020507a4c3cbd3c96757c02e71ab9cff053ac WHIRLPOOL 607a4059e0e31930a2e7ef2b16d85e30573c7b08530c571f95cd5cc539b5256cfdd108aec70ab91baabc874e84ba776474fc6f6fc7ccbef8b9901b259dc565bd
+DIST 6.2.5-TIVsm-msg.IT_IT.i386.rpm 3282355 SHA256 a43f78e7335938741addccba74b09e95f24cd096ed6a23d5f439303e16eef8f5 SHA512 005e49348b1e391e19102e02803fa674f73814e12e293b3ad53705cc8925fa8ad0f6464f7f2a65fc9139dd1709e8ceea5c84528a39b35e44f5851fc1cf53848f WHIRLPOOL 0ba926a852ace1a7b2a7bafbcd231b5b7d4ffbe0891958c4ee80a4306079664f5dcea5def136b91c5fdd2f0c56baac07d11a97bd65c3776310ee0dab37b49a62
+DIST 6.2.5-TIVsm-msg.JA_JP.i386.rpm 3426786 SHA256 fbdf981a7a8cca7208dfb6a2234414d3d19936bef80dbc72b5f20e969515ce09 SHA512 6e32ab4ddd161ddac4d8d286bd28f97c3bc9cec08468877059d6ef5d58d9011fce6ef1a9330bc0ef9c79001f571af886f3d9fe3595bdb5a978ce251b6281b1ab WHIRLPOOL 7c2593ce09622c08700631e0bf489283362f478e9a6f22368da3c3490c9944caaef64444202cab39578dca83240c7e20b63a697faaa0ea69c5a1936ef0f25872
+DIST 6.2.5-TIVsm-msg.KO_KR.i386.rpm 3344401 SHA256 5df78c088f2d0c69b8f4b022e32dc966320f8e8d51c09bd97f6a7b5ae90e4802 SHA512 29ba8ff373a0c461f5bba3055057c0d5c3c174bce887e9c7bf6b9f63083fda364408137a295f29c2de60c6a4142cb2a5d8dea5ddd6919227a49c3f2315e67c41 WHIRLPOOL 8419ea138a321ef1c9e98c179e7faa5db96f2233c002fe9460b8a08f5cd5ae7164ece754dfa9556df54e8d0ce9ab005d80d85201d48ee5b2e381a2a9d862a3a1
+DIST 6.2.5-TIVsm-msg.PL_PL.i386.rpm 3260918 SHA256 27693227b4da08aa3f4c38167f4c430e52145bba175fbc6a729ef152e1786a00 SHA512 2acc5f5a7e5e907fd69e4b9877e7a50718967acfa00e25fe34ec787835fe3c22dad519f1887ce7a3d0f59369f0b1d0d281174227dbbf32d0a61df568e723d935 WHIRLPOOL f1c1ea79ef34b7d9aa18ad6ed18e5837f52655e1e09de26ae52a8e72df1279494183e62219c80c745907bd194663c192eb89786c3b4881e51fa7961e4fb02285
+DIST 6.2.5-TIVsm-msg.PT_BR.i386.rpm 3419164 SHA256 9c940a88d1c9ea413883b6fa1e6f58ebeae8df113d70577a81056cc688934502 SHA512 11fd6907f2435fc74cb617a883a0c83b725fac41f529c5052de1b6455ba6e7c2ff8829ec3affb81a801182753b5ec5939f3707ee6d880a2cf218dabdd3423bf5 WHIRLPOOL c87d858671fd5611f6a1ba6519a331644f8c1dde0facfdcfc0227f95d23cb2d43fa23d05d3b733f1f15d25d1d4cea299a616cede0d93435de48969c022fda935
+DIST 6.2.5-TIVsm-msg.RU_RU.i386.rpm 4251314 SHA256 35840ad981017ccf598904b04327d14bc5fe0ea53d6a355beaa6f51ba8a5d952 SHA512 be2dd6d7d635411e01211855c4841844981e196e68474b0e83b8a6c1ffa44427b5a4549672c17c16806b4e252d728bdc1b459afedeaf374940be9d5e2afa8260 WHIRLPOOL e4aa63549cd10b446e47ca97d5bd62d81058efb4a1b514ca478dc826f85e834cf86bf741f50b4b8f2871605e6ad744093455439b4f4524785de18ee6632ab9d0
+DIST 6.2.5-TIVsm-msg.ZH_CN.i386.rpm 3060726 SHA256 7a5e0df2d3c7da4b84ace6f70e48e78954118d16e7f53373505e40cb38c03df4 SHA512 e9f3a22bdf460bf326c018c6f016c5709b4fd235da0585a198e493a56b7ac9d7f1ed827696da7cbe0a1176a37fe2360009aa099f2ec908944c96f744fbb8c85d WHIRLPOOL 6d42fd895d1169a34371da693f9ec2b4f5f8e344f5554d721cf67fb821349688d3ef84db9218b2938b1231bdf33ac106816d12228d1dcbd1310bb06f0123f1c9
+DIST 6.2.5-TIVsm-msg.ZH_TW.i386.rpm 3181619 SHA256 4ec5d47fd9f36791a8e2321c2e03382634aabbc26366958c4b12fc3d9d6d5bb7 SHA512 f2c9a47c89166e453d2083efbc819a96116a78167b4818c4e92929a32b3dd1d41883b6ca5effea42dd42e1254d935dd2ca02ba3886cd49522305b065329b5a64 WHIRLPOOL c8262a71ed0af12ba2789b2d12ee0c7dc53c7b1147ebc09159a57fda4acaa0adaaefd23af9169e9cc744f42ad726b38437c1cb37c2b9d2260eba661d426c6089
+DIST 6.2.5.4-TIV-TSMBAC-LinuxX86.tar 102727680 SHA256 752a1c94b3dcb21ce096fd73d081340212d999a29344f5589c25e12d5d74a55e SHA512 92857490728f13c2ebcf4cb32dcc43b6a3ae1ac11e6b409435509d3b5412ff78179c1eaf43591057646008178376eb0336aa14c3b88aaef9adbf520182e85c44 WHIRLPOOL dbe5ed6341a3bf8adac6450de2ac71fcd084df6f912225c04f7921808c6464a9962f5349aa8c7a6e8fcc81d82b7b96981aa69988c006f2d6194889c1baa1c145
DIST 6.3.0.5-TIV-TSMBAC-LinuxX86.tar 127825920 SHA256 8af4112da3450865af2db4cfe3ac0c50aeaba41c7b5d648e44bf169172ebb471 SHA512 92e11084481beeba3a35b6324fd3afc557aa28924f72a34710f8a62aff41a8397a5886919777ff9868384dabc3fd3d0c4290f38ea0b8962fde084b13e9430947 WHIRLPOOL 69f8eb3dbdce913c0f9c9cd35d35c03d381b3fd8709d8e44a8cef35b32b3442936a71c2494051153be11471e4b346de0c3a45a13c554f7ebc058697ef673b575
DIST 6.3.0.5-TIVsm-msg.CS_CZ.x86_64.rpm 4957692 SHA256 84748fb6e95717322dcfdffef04ebc39c31a73428f027f23bb828f4b739bba62 SHA512 bad32bb3d0faa75c696506d191e1af97efbf89d9109a2c11e065a8e21c2d0d3dc499faee1845031311356275fc6508f1ad85b0f9057feace7ba8751c4eb4e21e WHIRLPOOL 2f53fd6c5ef333ca1cdfa1b58a9ccbd8571b65851b20b89160b7d5d8e5cd3879560c5ee270c90d88630bcc2940eee975147f2a3cc9a1dec6f9fbd3216ac703b8
DIST 6.3.0.5-TIVsm-msg.DE_DE.x86_64.rpm 3593003 SHA256 c589e5267726f8e660e0c82136d2d25d5505dc58ece6e43440a10d5abed2ab81 SHA512 4b55f8a68fb9344347c42877f225c8af583224aa644c0c3400a9f4ce256b00f0eede58b34e801301b53d2daca3a6ae2e1f4750293f016d27e1df697d940865ba WHIRLPOOL 53021f3c52a6c5c9b8fa5aefd7832a07aa718ea5ee0207817b7cc9ce508afaf7619b834336e4c55be4d7a75938a05d7bbf3d95d74d039ee51bec07efe209b5a9
diff --git a/app-backup/tsm/tsm-6.2.5.4.ebuild b/app-backup/tsm/tsm-6.2.5.4.ebuild
new file mode 100644
index 00000000000..42a39190419
--- /dev/null
+++ b/app-backup/tsm/tsm-6.2.5.4.ebuild
@@ -0,0 +1,231 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit versionator multilib eutils rpm pax-utils user
+
+DESCRIPTION="Tivoli Storage Manager (TSM) Backup/Archive (B/A) Client and API"
+HOMEPAGE="http://www.tivoli.com/"
+
+MY_PV_MAJOR=$(get_major_version)
+MY_PV_MINOR=$(get_version_component_range 2)
+MY_PV_TINY=$(get_version_component_range 3)
+MY_PV_PATCH=$(get_version_component_range 4)
+
+MY_PV_NODOTS="${MY_PV_MAJOR}${MY_PV_MINOR}${MY_PV_TINY}"
+MY_PVR_ALLDOTS=${PV}
+
+if [[ ${MY_PV_PATCH} == 0 ]]; then
+ MY_RELEASE_PATH=maintenance
+else
+ MY_RELEASE_PATH=patches
+fi
+BASE_URI="ftp://ftp.software.ibm.com/storage/tivoli-storage-management/"
+BASE_URI+="${MY_RELEASE_PATH}/client/v${MY_PV_MAJOR}r${MY_PV_MINOR}/"
+BASE_URI+="Linux/LinuxX86/v${MY_PV_NODOTS}/"
+SRC_TAR="${MY_PVR_ALLDOTS}-TIV-TSMBAC-LinuxX86.tar"
+SRC_URI="${BASE_URI}${SRC_TAR}"
+
+RESTRICT="strip" # Breaks libPiIMG.ss and libPiSNAP.so
+LICENSE="Apache-1.1 Apache-2.0 JDOM BSD-2 CC-PD Boost-1.0 MIT CPL-1.0 HPND Exolab
+ dom4j EPL-1.0 FTL icu unicode IBM Info-ZIP LGPL-2 LGPL-2.1 openafs-krb5-a
+ ZLIB MPL-1.0 MPL-1.1 NPL-1.1 openssl OPENLDAP RSA public-domain W3C
+ || ( BSD GPL-2+ ) gSOAP libpng tsm"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE="hsm"
+
+QA_PREBUILT="*"
+
+MY_LANGS="cs:CS_CZ de:DE_DE es:ES_ES fr:FR_FR hu:HU_HU it:IT_IT
+ ja:JA_JP ko:KO_KR pl:PL_PL pt:PT_BR ru:RU_RU zh:ZH_CN zh_TW:ZH_TW"
+MY_LANG_PV="$(get_version_component_range 1-3)-"
+for lang in ${MY_LANGS}; do
+ IUSE="${IUSE} linguas_${lang%:*}"
+ SRC_URI="${SRC_URI} linguas_${lang%:*}? ( ${BASE_URI}TIVsm-msg.${lang#*:}.i386.rpm -> ${MY_LANG_PV}TIVsm-msg.${lang#*:}.i386.rpm )"
+done
+unset lang
+
+DEPEND=""
+RDEPEND="sys-libs/libstdc++-v3"
+
+S="${WORKDIR}"
+
+pkg_setup() {
+ enewgroup tsm
+}
+
+src_unpack() {
+ local rpm rpms lang
+ unpack ${SRC_TAR}
+
+ for rpm in *.rpm; do
+ case ${rpm} in
+ gsk*64-*|*API64*)
+ use amd64 && rpms="${rpms} ./${rpm}"
+ ;;
+ *HSM*)
+ use hsm && rpms="${rpms} ./${rpm}"
+ ;;
+ *)
+ rpms="${rpms} ./${rpm}"
+ ;;
+ esac
+ done
+ for rpm in ${A}; do
+ case ${rpm} in
+ *.rpm)
+ rpms="${rpms} ${rpm}"
+ ;;
+ esac
+ done
+
+ rpm_unpack ${rpms}
+
+ # Avoid strange error messages caused by read-only files
+ chmod -R u+w "${S}"
+}
+
+src_prepare() {
+ # Avoid unnecessary dependency on ksh
+ sed -i 's:^#!/usr/bin/ksh:#!/bin/bash:' \
+ opt/tivoli/tsm/client/ba/bin/dsmj || die
+}
+
+src_install() {
+ cp -a opt "${D}"
+ cp -a usr "${D}"
+
+ # The RPM files contain postinstall scripts which can be extracted
+ # e.g. using https://bugs.gentoo.org/attachment.cgi?id=234663 .
+ # Below we try to mimic the behaviour of these scripts.
+ # We don't deal with SELinux compliance (yet), though.
+ local RPM_INSTALL_PREFIX CLIENTDIR TIVINV_DIR TIVINVFILE i
+ RPM_INSTALL_PREFIX=/opt
+ CLIENTDIR=$RPM_INSTALL_PREFIX/tivoli/tsm/client
+
+ # We don't bother setting timestamps to build dates.
+ # But we should delete the corresponding files.
+ rm -f "${D}"$CLIENTDIR/api/bin*/.buildDate
+ rm -f "${D}"$CLIENTDIR/ba/bin*/.buildDate
+ rm -f "${D}"$CLIENTDIR/lang/.buildDate
+
+ # Create links for messages; this is spread over several postin scripts.
+ for i in $(cd "${D}"/${CLIENTDIR}/lang; ls -1d ??_??); do
+ dosym ../../lang/${i} $CLIENTDIR/ba/bin/${i}
+ dosym ../../lang/${i} $CLIENTDIR/api/bin/${i}
+ use amd64 && dosym ../../lang/${i} $CLIENTDIR/api/bin64/${i}
+ done
+
+ # Mimic TIVsm-API and -API64 postinstall script
+ for i in libgpfs.so libdmapi.so; do
+ dosym ../..$CLIENTDIR/api/bin/${i} /usr/lib
+ done
+ dosym ../..$CLIENTDIR/ba/bin/libzephyr.so /usr/lib/libTSMNetAppzephyr.so
+
+ # Mimic TIVsm-BA postinstall script
+ for i in /etc/adsm{,/SpaceMan,/config,/status}; do
+ keepdir ${i}
+ fowners bin:bin ${i}
+ fperms 2775 ${i}
+ done
+ TIVINV_DIR="/opt/tivoli/tsm/tivinv"
+ TIVINVFILE="TIVTSMBAC0602.SYS2"
+ dodir $TIVINV_DIR
+ echo " " \
+ > "${D}$TIVINV_DIR/$TIVINVFILE"
+ fperms 555 $TIVINV_DIR/$TIVINVFILE
+
+ # Haven't ported the TIVsm-HSM postinstall script (yet).
+ if use hsm; then
+ ewarn "This ebuild doesn't mimic the HSM postinstall script."
+ fi
+
+ # The gscrypt{32|64} postinstall script only deals with s390[x] SELinux.
+
+ # Mimic gskssl32 postinstall script
+ for i in acmeidup valn km cms p11 dbfl kicc ssl sys ldap drld iccs; do
+ dosym ../local/ibm/gsk8/lib/libgsk8${i}.so /usr/lib/libgsk8${i}.so
+ done
+ for i in capicmd ver; do
+ dosym ../local/ibm/gsk8/bin/gsk8${i} /usr/bin/${i}
+ done
+
+ # Mimic gskssl64 postinstall script
+ if use amd64; then
+ for i in sys p11 km ssl drld kicc ldap cms acmeidup valn dbfl iccs; do
+ dosym ../local/ibm/gsk8_64/lib64/libgsk8${i}_64.so \
+ /usr/lib64/libgsk8${i}_64.so
+ done
+ for i in capicmd ver; do
+ dosym ../local/ibm/gsk8_64/bin/gsk8${i}_64 /usr/bin/${i}_64
+ done
+ fi
+
+ # Done with the postinstall scripts as the RPMs contain them.
+ # Now on to some more Gentoo-specific installation.
+
+ use amd64 && mv "${D}usr/lib" "${D}usr/lib32"
+
+ fowners -R :tsm /opt/tivoli
+ fperms -R g+rX,o-rX /opt/tivoli # Allow only tsm group users to access TSM tools
+ fperms 4710 /opt/tivoli/tsm/client/ba/bin/dsmtca
+
+ keepdir /var/log/tsm
+ fowners :tsm /var/log/tsm
+ fperms 2770 /var/log/tsm
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}/tsm.logrotate" tsm
+
+ keepdir /etc/tivoli
+
+ cp -a "${S}/opt/tivoli/tsm/client/ba/bin/dsm.sys.smp" "${D}/etc/tivoli/dsm.sys"
+ echo ' PasswordDir "/etc/tivoli/"' >> ${D}/etc/tivoli/dsm.sys
+ echo ' PasswordAccess generate' >> ${D}/etc/tivoli/dsm.sys
+
+ # Added the hostname to be more friendly, the admin will need to edit this file anyway
+ echo ' NodeName' `hostname` >> ${D}/etc/tivoli/dsm.sys
+ echo ' ErrorLogName "/var/log/tsm/dsmerror.log"' >> ${D}/etc/tivoli/dsm.sys
+ echo ' SchedLogName "/var/log/tsm/dsmsched.log"' >> ${D}/etc/tivoli/dsm.sys
+ dosym ../../../../../../etc/tivoli/dsm.sys /opt/tivoli/tsm/client/ba/bin/dsm.sys
+
+ cp -a "${S}/opt/tivoli/tsm/client/ba/bin/dsm.opt.smp" "${D}/etc/tivoli/dsm.opt"
+ dosym ../../../../../../etc/tivoli/dsm.opt /opt/tivoli/tsm/client/ba/bin/dsm.opt
+
+ # Setup the env
+ dodir /etc/env.d
+ ENV_FILE="${D}/etc/env.d/80tivoli"
+ echo 'DSM_CONFIG="/etc/tivoli/dsm.opt"' >> ${ENV_FILE}
+ echo 'DSM_DIR="/opt/tivoli/tsm/client/ba/bin"' >> ${ENV_FILE}
+ echo 'DSM_LOG="/var/log/tsm"' >> ${ENV_FILE}
+ echo 'ROOTPATH="/opt/tivoli/tsm/client/ba/bin"' >> ${ENV_FILE}
+
+ newconfd "${FILESDIR}/dsmc.conf.d" dsmc
+ newinitd "${FILESDIR}/dsmc.init.d" dsmc
+ newinitd "${FILESDIR}/dsmcad.init.d-r1" dsmcad
+
+ elog
+ elog "Note that you have to be either root or member of the group tsm to be able to use the"
+ elog "Tivoli Storage Manager client."
+ elog
+
+}
+
+pkg_postinst() {
+ local i
+ for i in /var/log/tsm/dsm{error,sched,j,webcl}.log; do
+ if [[ ! -e $i ]]; then
+ touch $i
+ chown :tsm $i
+ chmod 0660 $i
+ fi
+ done
+}
+
+pkg_postinst() {
+ pax-mark psme /opt/tivoli/tsm/client/ba/bin/dsmc
+ # most likely some of the other executables (e.g. dsm) need this as well, but I
+ # cannot test it at the moment. - dilfridge
+}